{
 *  IRCDelphi - an Internet Relay Chat Daemon, PRJ.dpr
 *
 *  Copyright (C) 2001-2003 by the past and present ircd coders, and others.
 *  Refer to the documentation within doc/ for full credits and copyrights.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
}

program PRJ;

uses
  Forms,
  PRJUPrincipal in 'PRJUPrincipal.pas' {PRJFPrincipal},
  irc_const in 'irc_const.pas',
  PRJUIrcdConfGUI in 'PRJUIrcdConfGUI.pas' {PRJFIrcdConfGUI},
  PRJUIrcdConfManual in 'PRJUIrcdConfManual.pas' {PRJFIrcdConfManual};

{$R *.res}

begin
  Application.Initialize;
  Application.CreateForm(TPRJFPrincipal, PRJFPrincipal);
  Application.CreateForm(TPRJFIrcdConfGUI, PRJFIrcdConfGUI);
  Application.CreateForm(TPRJFIrcdConfManual, PRJFIrcdConfManual);
  PRJFPrincipal.Icon := Application.Icon;
  PRJFIrcdConfGUI.Icon := Application.Icon;
  PRJFIrcdConfManual.Icon := Application.Icon;

  Application.Run;
end.
